import request from '@/utils/request'

// 查询设备参数管理列表
export function listParam(query) {
  return request({
    url: '/hnyz/param/list',
    method: 'get',
    params: query
  })
}

// 查询设备参数管理详细
export function getParam(registerId) {
  return request({
    url: '/hnyz/param/' + registerId,
    method: 'get'
  })
}

// 新增设备参数管理
export function addParam(data) {
  return request({
    url: '/hnyz/param',
    method: 'post',
    data: data
  })
}

// 修改设备参数管理
export function updateParam(data) {
  return request({
    url: '/hnyz/param',
    method: 'put',
    data: data
  })
}

// 删除设备参数管理
export function delParam(registerId) {
  return request({
    url: '/hnyz/param/' + registerId,
    method: 'delete'
  })
}

//修改设备参数管理状态
export function changeStatus(registerId, status) {
  return request({
    url: '/hnyz/param/changeStatus',    
    method: 'put',
    data: {
      registerId: registerId,
      status: status
    }
  })
}